<?php
header("Connection: close");
Header("Cache-Control: no-cache, must-revalidate"); // говорим браузеру что-бы он не кешировал эту страницу
Header("Pragma: no-cache");
header("Content-type: application/json");
$array = array();
if(isset($_POST['id']) && is_numeric($_POST['id']))
{
    $q = DB :: $pdo -> query("SELECT `file`, `smile` FROM `emoji` WHERE `id_cat` = :id_cat", array(':id_cat' => (int)$_POST['id']));
    while ($res = $q->fetch())
    {
        $array []= ['emoji' => html_entity_decode($res['smile']), 'file' => $res['file']];
    }
} else {
    $q = DB :: $pdo -> query("SELECT * FROM `emoji_cat`");
    while ($res = $q->fetch())
    {
        $array []= ['id' => $res['id']];
    }

}
echo json_encode($array);
exit();
?>